setInterval(setClock, 1000);

function setClock() {
    const currentDate = new Date();

    const secRatio = currentDate.getSeconds() / 60;
    const minRatio = (secRatio + currentDate.getMinutes()) / 60;
    const horRatio = (minRatio + currentDate.getHours()) / 12;

    document.getElementById('sek').style.setProperty('--rotation', secRatio * 360);
    document.getElementById('min').style.setProperty('--rotation', minRatio * 360);
    document.getElementById('hrs').style.setProperty('--rotation', horRatio * 360);
}